hakyll-4.7.5.1: A static website compiler library

Safe Haskell | None
Language | Haskell98

Hakyll.Core.Dependencies

# Documentation

data Dependency Source

Constructors

PatternDependency Pattern (Set Identifier) |
IdentifierDependency Identifier |

Instances

Show Dependency Source |
Binary Dependency Source |

type DependencyFacts = Map Identifier [Dependency] Source

outOfDate Source

Arguments

:: [Identifier] | All known identifiers
-> Set Identifier | Initially out-of-date resources
-> DependencyFacts | Old dependency facts
-> (Set Identifier, DependencyFacts, [String]) |